Main Page Namespaces Book

# Pango::Fontset Class Reference

Inheritance diagram for Pango::Fontset:

[legend]

List of all members.

## Detailed Description

A Pango::Fontset is used to represent a set of fonts.

## Public Types

typedef sigc::slot< bool, const Glib::RefPtr<Font >&> | ForeachSlot
| For instance, bool on_foreach(const Glib::RefPtr<Pango::Font>& font);.

## Public Member Functions

void | foreach (const ForeachSlot& slot)
| Iterates through all the fonts in a fontset, calling slot for each one.
Glib::RefPtr<Font> | get_font (guint wc) const
| Return value: a Pango::Font.
FontMetrics | get_metrics () const
| Get overall metric information for the fonts in the fontset.
const PangoFontset* | gobj () const
| Provides access to the underlying C GObject.
PangoFontset* | gobj ()
| Provides access to the underlying C GObject.
PangoFontset* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
virtual | ~Fontset ()

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr<Pango::Fontset> | wrap (PangoFontset* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Member Typedef Documentation

typedef sigc::slot<bool, const Glib::RefPtr<Font>&> Pango::Fontset::ForeachSlot

For instance, bool on_foreach(const Glib::RefPtr<Pango::Font>& font);.

## Constructor & Destructor Documentation

virtual Pango::Fontset::~Fontset | ( |  | ) | `[virtual]`

## Member Function Documentation

void Pango::Fontset::foreach | ( | const ForeachSlot& | slot | ) |

Iterates through all the fonts in a fontset, calling slot for each one.

If slot returns true, that stops the iteration.

Since:
  -1.4

Parameters:

  | slot | Callback function

Glib::RefPtr<Font> Pango::Fontset::get_font | ( | guint | wc | ) | const

Return value: a Pango::Font.

The caller must call g_object_unref when finished

Parameters:

  | wc | A Unicode character.

Returns:
  A Pango::Font. The caller must call g_object_unref when finished with the font.

FontMetrics Pango::Fontset::get_metrics | ( |  | ) | const

Get overall metric information for the fonts in the fontset.

Returns:
  A Pango::FontMetrics object. The caller must call pango_font_metrics_unref() when finished using the object.

const PangoFontset* Pango::Fontset::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

PangoFontset* Pango::Fontset::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

PangoFontset* Pango::Fontset::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## Friends And Related Function Documentation

Glib::RefPtr<Pango::Fontset> wrap | ( | PangoFontset * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- fontset.h